Search and check domain availability
User API
/API Reference/- Create an account via email and password (headless)
Verify signup code and get OAuth tokens
Create an account via ema...
User API (1.0.0)
Search, check availability, and purchase traditional DNS domains. This API enables AI assistants to help users find and buy domain names.
When using the API directly, you will need an API key. See API Key setup for instructions.
Overview
URL
Unstoppable Domains
Languages
Servers
Production server
https://api.unstoppabledomains.com
Request
Step 1 of headless account creation. Registers a new user with email and password, sends a verification code via email, and returns a signup_session_token. Use POST /api/oauth/signup/verify with the token and code to get OAuth tokens. Returns identical responses for new and existing users to prevent account enumeration.
- Production serverhttps://api.unstoppabledomains.com/api/oauth/signup
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
curl -i -X POST \
https://api.unstoppabledomains.com/api/oauth/signup \
-H 'Content-Type: application/json' \
-d '{
"email": "user@example.com",
"password": "stringst"
}'Response
application/json
{ "signup_session_token": "string", "expires_in": 0 }
- Production serverhttps://api.unstoppabledomains.com/api/oauth/signup/verify
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
curl -i -X POST \
https://api.unstoppabledomains.com/api/oauth/signup/verify \
-H 'Content-Type: application/json' \
-d '{
"signup_session_token": "string",
"verification_code": "string"
}'Response
application/json
{ "access_token": "string", "token_type": "Bearer", "expires_in": 0, "refresh_token": "string", "scope": "string" }